Package ru.bitel.bgbilling.plugins.cashcheck.server.task

# Class AdvancePaymentsManual

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.bean.RunTask
ru.bitel.bgbilling.plugins.cashcheck.server.task.AdvancePaymentsManual

All Implemented Interfaces:
  `Serializable`, `Runnable`

public class AdvancePaymentsManual extends RunTask
Ручной запуск AdvancePayments из клиента.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `setup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdvancePaymentsManual(LocalDate month, List<Integer> contractsIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `executeTask()`
  `String`
  `getDescription()`
  `String`
  `getUniqueKeyParallel()`
  Ключ, который показывает уникальность этой задачи для запуска одновременно/параллельно.
  `String`
  `getUniqueKeyQueue()`
  Ключ, который показывает уникальность этой задачи для очереди.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.bean.RunTask

  `getQueueId, init, removeMyselfFromTable, run, setQueueId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AdvancePaymentsManual

    public AdvancePaymentsManual(LocalDate month, List<Integer> contractsIds)
    Parameters:
      `month` - - за какой месяц
      `contracts` - - список договоров для которых запустить (опционально, null/пусто - не используется, все)

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `RunTask`

  - ### executeTask

    public void executeTask()
    Specified by:
      `executeTask` in class `RunTask`

  - ### getUniqueKeyQueue

    public String getUniqueKeyQueue()
    Description copied from class: `RunTask`
    Ключ, который показывает уникальность этой задачи для очереди. Задачи с одинаковым ключом, не равным null: при выборке шедулером (в TaskRunProcessor) считаются дублирующимися и схлопываются в одну. Если надо, чтобы задачи не копились кучей одинаковых в очереди - надо перегрузить этот метод. Пример: синхронизация одной и той же сущности в cerbercrypt. Хорошей практикой является ключ типа "модуль-мид-имятаска-какиетохарактеристикизадачи".
    Overrides:
      `getUniqueKeyQueue` in class `RunTask`

  - ### getUniqueKeyParallel

    public String getUniqueKeyParallel()
    Description copied from class: `RunTask`
    Ключ, который показывает уникальность этой задачи для запуска одновременно/параллельно. Задачи с одинаковым ключом, не равным null: если сейчас уже запущена задача с таким же ключом, то эта задача остаётся в очереди, не запускается параллельно. Если надо, чтобы задачи не выполнялись параллельно, а ждали завершения предыдущей такой же - надо перегрузить этот метод. Пример: синхронизация в одну и ту же CAS разных сущностей cerbercrypt (чаще всего на всякий случай). Хорошей практикой является ключ типа "модуль-мид-имятаска".
    Overrides:
      `getUniqueKeyParallel` in class `RunTask`